%if 0%{?rhel} && 0%{?rhel} <= 6
  %{!?__python2: %global __python2 /usr/bin/python2}
  %{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
  %{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

# It's a Python 2-only script
# See: https://github.com/davesteele/gnome-gmail/commit/1fab7090cf5d8b0352306cd8df706ea33c9f5652
%global __python %{__python2}

# Github infos
%global commit 86117f754370d9a702ab5ae1b1fd425e93a3dc7d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           gnome-gmail
Version:        1.9.3.1
Release:        1%{?dist}
Summary:        Integrate GMail into the GNOME desktop

Group:          Applications/Internet
License:        GPLv2
URL:            https://davesteele.github.io/gnome-gmail/
Source0:        https://github.com/davesteele/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  python2-devel
BuildRequires:  python-distutils-extra

Requires:       gtk3
Requires:       dbus-python
Requires:       gnome-python2-gnomekeyring
Requires:       hicolor-icon-theme
Requires:       pygobject2
Requires:       xdg-utils
Requires:       python(abi) = 2.7


%description
This package makes Gmail a choice in the Gnome control panel for the default
mail handler. It opens in the default web browser.


%prep
%setup -qn %{name}-%{commit}


%build
%py2_build


%install
%{__python} setup.py install --root %{buildroot}
%find_lang %{name}
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    --add-category Network \
    --remove-category System \
    --remove-category ContactManagement \
    %{name}.desktop

# Manpages
mkdir -p %{buildroot}/%{_mandir}/man1/
install -m 644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1 


%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{python2_sitelib}/*egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/gnomegmail.glade
%{_datadir}/%{name}
%{_datadir}/gnome/autostart/%{name}-startup.desktop
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Aug 28 2015 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 1.9.3.1-1
- Upstream 1.9.3.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 05 2011 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 1.8.2-1
- Upstream 1.8.2

* Wed Aug 31 2011 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 1.8.1-1
- Upstream 1.8.1

* Sun Apr 24 2011 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 1.7.2-2
- Add scheme handler line in desktop file, for GNOME 3

* Mon Feb 28 2011 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 1.7.2-1
- Upstream 1.7.2

* Fri Feb 18 2011 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 1.7.1-1
- Upstream 1.7.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 31 2010 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 1.7-2
- Fix bug #629260 Missing panel icon for gnome-gmail

* Fri Oct 22 2010 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 1.7-1
- Upstream 1.7
- Add french translation in SPEC

* Wed Jul 21 2010 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 1.5.1-1
- Initial packaging
